/*
 * QuickTime for Java SDK Sample Code

   Usage subject to restrictions in SDK License Agreement
 * Copyright:  1996-1999 Apple Computer, Inc.

 */
package mixer.mc;

import quicktime.*;
import quicktime.app.audio.*;
import quicktime.std.music.*;
import java.awt.*;
import javax.swing.*;
import java.util.*;

/** This class is an implementation of the MixerComponents interface designed for
 *  use specifically with the instrument channels in the music track of a
 *  movie.
 */
public class MixerMusicPart implements MixerComponents {
	ExtendedAudioSpec part;
	
	/** The constructor just needs to know which NoteChannel it is supposed to be
	 *  a MixerComponents for.
	 *  @param nc the NoteChannel to deal with
	 */
	public MixerMusicPart(ExtendedAudioSpec part) throws QTException {
		this.part = part;
	}
	
	
	/** This method returns the AudioSpec object which will control the attributes
	 *  of this channel.
	 *  @return the AudioSpec object controlling this channel
	 */
	public AudioSpec getMaster() {
			return part;
	}
	
	/** Note that there are no channels of a MixerMusicPart, so null is returned. */
	public MixerComponents[] getChannels() {
		return null;
	}

	/** Note that it is not possible to further edit a MixerMusicPart, so null is returned. */
	public JComponent makeEditComponent () throws QTException { 
		return null; 
	}

	/** It is not possible to edit a MixerMusicPart further, so false is returned. */
	public boolean isEditable() { return false; }
}