/*
	File:		mtb.h

	Contains:	

	Written by: 	

	Copyright:	Copyright  1992-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				8/16/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				12/4/94		khs				changed the format of the file to the new look and feel

*/


//  This file contains all of the prototypes for the Inside Macintosh
//  Movie Toolbox Example code.


// INCLUDES
#include <Fonts.h>
#include <Quickdraw.h>
#include <GestaltEqu.h>
#include <Script.h>
#include <Packages.h>
#include <Resources.h>
#include <Sound.h>
#include <ToolUtils.h>
#include <SegLoad.h>
#include <FixMath.h>

#include <ImageCompression.h>
#include <Movies.h>


// FUNCTION PROTOTYPES
Boolean IsQuickTimeInstalled(void);
Movie GetMovie(void);
void CheckError(OSErr error,
				Str255 displayString);

void InitMovieToolbox(void);
void CreateMyCoolMovie(void);
void CreateMyVideoTrack(Movie theMovie);
void AddVideoSamplesToMedia(Media theMedia,
							const Rect* trackFrame);
void DrawFrame(const Rect* trackFrame,
			   long curSample);
void CreateMySoundTrack(Movie theMovie);
void CreateSoundDescription(Handle sndHandle,
							SoundDescriptionHandle sndDesc,
							long* sndDataOffset,
							long* numSamples,
							long* sndDataSize);
long GetSndHdrOffset(Handle sndHandle);

void DoUpdate(WindowPtr theWindow,
			  Movie theMovie);

pascal OSErr MyCoverProc(Movie aMovie,
						 RgnHandle changedRgn,
						 long refcon);
pascal OSErr MyUnCoverProc(Movie aMovie,
						   RgnHandle changedRgn,
						   long refcon);
void InitCoverProcs(WindowPtr aWindow,
					Movie aMovie);

void CreateTrackMatte(Track theTrack);
void UpdateTrackMatte(Track theTrack);
