/*
	File:		MoviePrefs.h

	Contains:		Movie prefereneces routine's headers and data structures

	Written by: Jason Hodges-Harris & Don Swatman	

	Copyright:	Copyright  1995-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				8/17/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/

#ifndef __MOVIEPREFS__
#define __MOVIEPREFS__

#include <Types.h>

//==============================================
// MovieOptionsType
//
// Deals with various options used to set up the
// movies.
//==============================================

#define	kAutoCloseWind true
#define	kUserCloseWind false

#define	kHasMovieController true
#define	kNoMovieController  false

struct MovieOptionsType
{
	Boolean closeAtEnd;      // Automatically close window when movie finishes playing	
	Boolean hasController;   // Movie has a controller
	Boolean do20to10Loop;    // Do a loop
	short   loopFrom;        //   Where to start loop in seconds
	short   loopTo;          //   Where loop should go to in seconds
	short   rateChangeDelay; // When the movie rate should change (0 = no changes ) in seconds
	short   slaveAheadBy;    // Time slave is ahead of master in seconds
	short   slaveStartDelay; // Time master must run before slave starts in seconds
};
typedef struct MovieOptionsType MovieOptionsType,
	*MovieOptionsPtr, **MovieOptionsHdl;

//----------------------------------------------
// Globals
//----------------------------------------------
extern MovieOptionsType gDefaultMoviePrefs;  // Global for the default prefences

//----------------------------------------------
// Prototypes
//----------------------------------------------
void SetUpDefaultMoviePref ( MovieOptionsType *theOptions );

OSErr OneMoviePref( MovieOptionsType *theOptions,
										Boolean hasSlaveMovie );

void InitMoviePrefs(void);
void KillMoviePrefs(void);

#endif