/*
	File:		DrawTextCodec.h

	Contains:	

	Written by: Mark Krueger	

	Copyright:	Copyright  1992-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				7/29/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/

#define COURIER


#ifdef	COURIER

#define	BASE_LINE	8
#define	FONT_ID		22		
#define	FONT_SIZE	10
#define	FONT_HEIGHT	10
#define	FONT_WIDTH	8
#define	CODEC_NAME	"\pCourier"

#else

	// Monaco
	
#define	BASE_LINE	7
#define	FONT_ID		4		
#define	FONT_SIZE	12
#define	FONT_HEIGHT	12
#define	FONT_WIDTH	8
#define	CODEC_NAME	"\pMonaco"

#endif


/* This is the structure we use to hold data used by all instances of
   this compressor and decompressor */

typedef struct	{					
	CodecInfo	**info;					/* our cached codec info structure */
	GWorldPtr	tableWorld;
	char		*table;
	Boolean		skipTable[256];			// not used 
} SharedGlobals;


/* This is the structure we use to store our global data for each instance */

typedef struct	{						
	SharedGlobals	*sharedGlob;		/* pointer to instance-shared globals */
	long		totalSize;
	ComponentInstance self;
} Globals;
