#define SystemSevenOrLater 1
#define UseExtendedThingResource	1

#include <ConditionalMacros.r>
#include <MacTypes.r>
#include <Components.r>
#include <QuickTimeComponents.r>
#include <ImageCompression.r>
#include "EI_GraphicsImportVersion.h"

#define kEI_GraphicsImportFlags	(graphicsImporterUsesImageDecompressor)

resource 'thng' (128) {
	'grip',
	'EIDI',
	'appl',
#if TARGET_REZ_MAC_68K
	kEI_GraphicsImportFlags,
	0,
	'grip', 
	128,
#else
	0,
	0,
	0,
	0,
#endif
	'STR ',
	128,
	0,
	0,
	0,
	0,
#ifdef TARGET_CPU_PPC
	kEI_GraphicsImportVersionPPC,
#else
	kEI_GraphicsImportVersion,
#endif
#ifdef	TARGET_CPU_PPC
	componentHasMultiplePlatforms + 
#endif
		componentDoAutoVersion,
	0,
	{
#if	TARGET_REZ_MAC_PPC
		kEI_GraphicsImportFlags, 
		'grpc',
		128,
		platformPowerPC,
#elif	!TARGET_OS_MAC
		kEI_GraphicsImportFlags, 
		'dlle',
		128,
		Target_PlatformType,
#endif
	},
};

resource 'thga' (129) {
	'grip', 
	'EIM ', // This must be in uppercase.  It will match an ".eim" suffix case-insensitively.
	'appl',
	kEI_GraphicsImportFlags | movieImportSubTypeIsFileExtension,
	0, 
	0, 
	0,
	'STR ',
	128,
	0,
	0, 
	0, 
	0,
	
	'grip',
	'EIDI',
	0, 0, 0
};

resource 'STR ' (128) {
	"Electric Image"
};

#if	!TARGET_OS_MAC
	resource 'dlle' (128) {
		"EI_GraphicsImportComponentDispatch"
	};
#endif

/* 
 * This is an example of how to build an atom container resource to hold mime types.
 * This component's GetMIMETypeList implementation simply loads this resource and returns it.
 * Please note that atoms of the same type MUST be grouped together within an atom container.
 * (Also note that "image/electric-image" may not have been registered with the IETF.)
 */
resource 'mime' (128) {
	{
	kMimeInfoMimeTypeTag,      1, "image/electric-image";
	kMimeInfoMimeTypeTag,      2, "image/x-electric-image";
	kMimeInfoFileExtensionTag, 1, "eim";
	kMimeInfoFileExtensionTag, 2, "eim";
	kMimeInfoDescriptionTag,   1, "Electric Image";
	kMimeInfoDescriptionTag,   2, "Electric Image";
	};
};
