#define SystemSevenOrLater 1
#define UseExtendedThingResource 1

#include "ConditionalMacros.r"
#include "MacTypes.r"
#include "Components.r"
#include "ImageCodec.r"

#include "EI_CodecVersion.h"

#define	kEI_CodecFormatType	'EIDI'
#define	kEI_CodecFormatName	"Electric Image"

#define kEI_DecoFlags		( codecInfoDoes32 | codecInfoDoes16 | codecInfoDoes8 | codecInfoDoes1 )
#define kEI_FormatFlags		( codecInfoDepth32 | codecInfoDepth24 | codecInfoDepth16 | codecInfoDepth8 | codecInfoDepth1 )

resource 'cdci' (256) {
	kEI_CodecFormatName,
	1,
	1,
	'appl',
	kEI_DecoFlags,
	0,
	kEI_FormatFlags,
	128,
	128,
	200,
	200,
	128,
	0,
	1,
	1,
	0,
	0,
	0
};

resource 'thng' (256) {
	decompressorComponentType,
	'EIDI',
	'appl',
#if	TARGET_REZ_MAC_68K
	kEI_DecoFlags,
	0,
	'cdec',	256,	// Code
#else
	0,		0,		// Flags, Mask
	0,		0,		// Code
#endif
	'STR ',	256,	// Name
	'STR ',	257,	// Info
	0,	0,			// Icon
#if TARGET_REZ_MAC_PPC
	kEI_CodecVersionPPC,
#else
	kEI_CodecVersion,
#endif

#if !TARGET_REZ_MAC_68K
	componentHasMultiplePlatforms + 
#endif
		componentDoAutoVersion,
	0,
	{
#if	TARGET_REZ_MAC_PPC
		kEI_DecoFlags, 
		'cdek',
		256,
		platformPowerPC,
#elif	!TARGET_OS_MAC
		kEI_DecoFlags, 
		'dlle',
		256,
		Target_PlatformType
#endif
	};
};

resource 'STR ' (256) {
	"Electric Image"
};

resource 'STR ' (257) {
	"Decompressors images stored in the Electric Image format."
};

#if	!TARGET_OS_MAC
	resource 'dlle' (256) {
		"EI_CDComponentDispatch"
	};
#endif
