#define SystemSevenOrLater 1
#define UseExtendedThingResource	1

#include "ConditionalMacros.r"
#include "MacTypes.r"
#include "Components.r"
#include "QuickTimeComponents.r"
#include "EI_MovieImportVersion.h"

#define kEI_MovieImportFlags \
	(canMovieImportFiles | canMovieImportInPlace | canMovieImportDataReferences)

resource 'thng' (512) {
	'eat ',
	'EIDI',
	'vide',
#if TARGET_REZ_MAC_68K
	kEI_MovieImportFlags,
	0,
	'eat ',
	512,
#else
	0,
	0,
	0,
	0,
#endif
	'STR ',
	512,
	0,
	0,
	0,
	0,
#ifdef TARGET_CPU_PPC
	kEI_MovieImportVersionPPC,
#else
	kEI_MovieImportVersion,
#endif
#ifdef	TARGET_CPU_PPC
	componentHasMultiplePlatforms + 
#endif
		componentDoAutoVersion,
	0,
	{
#if	TARGET_REZ_MAC_PPC
		kEI_MovieImportFlags, 
		'eatp',
		512,
		platformPowerPC,
#elif	!TARGET_OS_MAC
		kEI_MovieImportFlags, 
		'dlle',
		512,
		Target_PlatformType,
#endif
	},
};

resource 'thga' (513) {
	'eat ',
	'EIM ', // This must be in uppercase.  It will match an ".eim" suffix case-insensitively.
	'vide',
	kEI_MovieImportFlags | movieImportSubTypeIsFileExtension,
	0, 
	0, 
	0,
	'STR ',
	512,
	0,
	0, 
	0, 
	0,
	
	'eat ',
	'EIDI',
	0, 0, 0
};

resource 'STR ' (512) {
	"Electric Image"
};

#if	!TARGET_OS_MAC
	resource 'dlle' (512) {
		"EI_MovieImportComponentDispatch"
	};
#endif

/* 
 * This is an example of how to build an atom container resource to hold mime types.
 * This component's GetMIMETypeList implementation simply loads this resource and returns it.
 * Please note that atoms of the same type MUST be grouped together within an atom container.
 * (Also note that "video/electric-image" may not have been registered with the IETF.)
 */
resource 'mime' (512) {
	{
	kMimeInfoMimeTypeTag,      1, "video/electric-image";
	kMimeInfoMimeTypeTag,      2, "video/x-electric-image";
	kMimeInfoFileExtensionTag, 1, "eim";
	kMimeInfoFileExtensionTag, 2, "eim";
	kMimeInfoDescriptionTag,   1, "Electric Image";
	kMimeInfoDescriptionTag,   2, "Electric Image";
	};
};
