#include <Fonts.h>
#include <ImageCompression.h>

extern void EI_GraphicsImporterRegister(void);
extern void EI_CodecRegister(void);
extern void EI_MovieImporterRegister(void);

void main(void)
{
	OSErr err;
	WindowPtr w = nil;
	GraphicsImportComponent gi = nil;
	Rect r = {100, 100, 130, 130};
	StandardFileReply reply;
	OSType fileType = 'EIDI';

	InitGraf(&qd.thePort);
	InitFonts();
	InitWindows();
	InitMenus();
	TEInit();
	InitDialogs(0L);
	InitCursor();
	MaxApplZone();

	EI_GraphicsImporterRegister();
	EI_CodecRegister();
	EI_MovieImporterRegister();

	w = NewCWindow(nil, &r, "\pTest", false, 0, (WindowPtr)-1, false, 0);

	SetPort(w);

	StandardGetFilePreview(nil, 1, &fileType, &reply);
	if (!reply.sfGood) return;

	err = GetGraphicsImporterForFile(&reply.sfFile, &gi);
	if (err) return;

	err = GraphicsImportGetNaturalBounds(gi, &r);
	if (err) return;

	SizeWindow(w, r.right - r.left, r.bottom - r.top, false);
	ShowWindow(w);

	GraphicsImportDraw(gi);

	while (!Button())
		;
}
