/*
**	Apple Macintosh Developer Technical Support
**
**	Defines used by routines in the SndPlayDoubleBuffer example code.
**
**	by Mark Cookson, Apple Developer Technical Support
**
**	File:	Defines.h
**
**	Copyright 1996 Apple Computer, Inc.
**	All rights reserved.
**
**	You may incorporate this sample code into your applications without
**	restriction, though the sample code has been provided "AS IS" and the
**	responsibility for its operation is 100% yours.  However, what you are
**	not permitted to do is to redistribute the source as "Apple Sample
**	Code" after having made changes. If you're going to re-distribute the
**	source, we require that you make it clear in the source that the code
**	was descended from Apple Sample Code, but that you've made changes.
*/

#ifndef __DEFINES__
#define __DEFINES__

/* Uncomment this next line to enable some useful DebugStr's */
//#define DEBUG

#define kFreeMem				1
#define kCloseFile				2
#define	kMaxAIFFHeaderSize		84
#define	k44kHz					44100.0
#define	kBitsPerByte			8
#define kMaxVolume				0x0300
#define kMinVolume				0x0000
#define kStart					1
#define kNoOptions				0
#define kLeftMask				0x0000FFFF
#define kDataOffset				0x00FFFFFFL
#define kHorizAdjust			3
#define kVertAdjust				5.5
#define kSndInfoPtr				0
#define kPBPtr					1
#define kDBBufOne				0
#define	kDBBufTwo				1
#define kInit					0
#define kNoFirstFiltering		-1
#define kUseOpenResourceTypes	-2

#define kBufferCmd				0x8051
#define kSampledSound			5

#define kDBFFSignature			'DBFF'
#define kCompressedAIFFFile		'AIFC'
#define kUncompressedAIFFFile	'AIFF'
#define kWAVEFile				'WAVE'
#define kWAVFile				'wav '
#define kAUFile					'ULAW'
#define kSNDResource			'sfil'
#define kResource				'rsrc'

#define	kMono8Bit				0		/* binary 00 */
#define	kMono16Bit				2		/* binary 10 */
#define	kStereo8Bit				1		/* binary 01 */
#define	kStereo16Bit			3		/* binary 11 */
#define	kIs16Bit				2		/* binary 10 */
#define	kIsStereo				1		/* binary 01 */

#define kMaxSNDHeaderSize		100
#define kSixteen				16
#define kMono					1
#define kStereo					2
#define kLongMask				0x80808080
#define kChannelsMask			0xDF
#define	kMaxValue				65536
#define kFraction				0.00001
#define	kStartOfBuffer			0
#define	kHalfOfBuffer			2
#define kOne					1
#define kMinSndMgrVer			3
#define kMinSampleSize			8
#define kMaxSampleSize			16
#define kStopPlaying			0
#define kNoCompression			1
#define kCompressByTwo			2
#define kCompressByThree		3
#define kCompressByFour			4
#define kCompressBySix			6
#define k16BitSample			16
#define k8BitSample				8

/*
   This number is 1/x parts of a second per buffer.  5 is 1/5th or .2 seconds of
   sound per buffer.  Make this number smaller (must be > 0) to make the buffer larger,
   make the number larger to make the buffer smaller.
*/
#define	kBufLen					5

#ifdef DEBUG
#define DebugPrint(s)	DebugStr(s)
#else
#define DebugPrint(s)	(s)
#endif

#endif