//
//	File:		AppConfiguration.h
//
//	Contains:	Values for configuring the actual application.
//
//	Written by:	Tim Monroe
//				Based (heavily!) on the MovieShell code written by Apple DTS
//
//	Copyright:	 1994-1996 by Apple Computer, Inc., all rights reserved.
//
//	Change History (most recent first):
//
//	   <2>	 	11/27/96	rtm		conversion to personal coding style
//	   <1>	 	12/30/94	khs		first file
//	   
//


#pragma once

#include <Movies.h>


// Toolbox constants
enum eBasicConstants {
	kWNEDefaultSleep		= 0,																// WNE Sleep time value
	kDefaultSysBeep			= 10
};

enum eWindowConstants {
	kDefaultX				= 100,
	kDefaultY				= 100
};


enum eMemoryConstants {
	kAvailableMem			= 50000			// 50k
};

// movie and movie controller constants
enum eMCValues {
 	kMCFlags =  0L | mcTopLeftMovie 		// default MC setup
};

enum eMovieValues {
	kMaxMilliSecToUse		= 0L			// MoviesTask value, 0 indicates as much as possible (serve all movies)
											// define other millisecond values if needed.
};



