//////////
//
//	File:		ComApplication.h
//
//	Contains:	Application-specific code for QuickTime movies demo.
//
//	Written by:	Tim Monroe
//				Based (heavily!) on the MovieShell code written by Apple DTS
//
//	Copyright:	 1994-1997 by Apple Computer, Inc., all rights reserved.
//
//	Change History (most recent first):
//
//	   <4>	 	09/11/97	rtm		merged MacApplication.h and WinApplication.h
//	   <3>	 	08/21/97	rtm		begun adding Windows support
//	   <2>	 	11/27/96	rtm		conversion to personal coding style
//	   <1>	 	12/21/94	khs		first file
//	   
//////////

#pragma once

//////////
//
// header files
//
//////////

#ifndef __QUICKTIMEVR__
#include <QuickTimeVR.h>
#endif

#ifndef __QTUtilities__
#include "QTUtilities.h"
#endif

#ifndef __QTVRUtilities__
#include "QTVRUtilities.h"
#endif

#include <TextUtils.h>
#include <string.h>

#if TARGET_OS_MAC
#include "MacFramework.h"
#include "AppConfiguration.h"
#endif	// TARGET_OS_MAC

#if TARGET_OS_WIN32
#include "WinFramework.h"
#endif	// TARGET_OS_WIN32

#include "ComResource.h"


//////////
//
// constants
//
//////////


//////////
//
// structures
//
//////////

// application-specific data
typedef struct {
	PicHandle					fPicture;			// the embedded picture
	float						fPictureWidth;		// the width (in radians) of the embedded picture
	QTVRBackBufferImagingUPP	fBackBufferProc;	// a routine descriptor for our back buffer routine
	UInt16						fCurrMenuItem;		// menu identifier of current embedding selection
} ApplicationDataRecord, *ApplicationDataPtr, **ApplicationDataHdl;


// the function prototypes are in the file MacFramework.h or WinFramework.h