/*
 * QuickTime for Java SDK Sample Code

   Usage subject to restrictions in SDK License Agreement
 * Copyright:  1996-1999 Apple Computer, Inc.

 */
import java.awt.*;
import java.awt.event.*;

public class Open_URL extends Dialog implements ActionListener {
	public Open_URL(PlayMovie parent) {
		super(parent, true);
		myPlayMovie = parent;
		
			// This code is automatically generated by Visual Cafe 
			//{{INIT_CONTROLS
		setLayout(null);
		setResizable(false);
		setSize(452,126);
		setFont(new Font("Dialog", Font.PLAIN, 12));
		setBackground (new Color(12632256));
		label2 = new Label("URL:");
		label2.setBounds(18,48,29,18);
		add(label2);
		label1 = new Label ("Please type in an URL for to open:");
		label1.setBounds(54,15,370,23);
		add(label1);
		okButton = new Button();
		okButton.setLabel("OK");
		okButton.setBounds(368,94,60,23);
		add(okButton);
		cancelButton = new Button();
		cancelButton.setLabel("Cancel");
		cancelButton.setBounds(293,94,60,23);
		add(cancelButton);			
		urlTextField = new TextField("file:///... Enter an URL to a movie");
		urlTextField.setBounds(50,42,380,30);
		urlTextField.setFont(new Font("Dialog", Font.PLAIN, 10));

		add(urlTextField);
		setTitle("Open URL");
		
		urlTextField.addActionListener(this);
		cancelButton.addActionListener( new ActionListener() {
			public void actionPerformed(ActionEvent event) {
				dispose();
			}
		});
			
		okButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent event) {
				myPlayMovie.createNewMovieFromURL(urlTextField.getText());
				dispose();
			}
		});
	}
	
	public void addNotify()	{
  	    // Record the size of the window prior to calling parents addNotify.
	    Dimension d = getSize();

		super.addNotify();

		if (fComponentsAdjusted)
			return;

		// Adjust components according to the insets
		setSize(insets().left + insets().right + d.width, insets().top + insets().bottom + d.height);
		Component components[] = getComponents();
		for (int i = 0; i < components.length; i++)
		{
			Point p = components[i].getLocation();
			p.translate(insets().left, insets().top);
			components[i].setLocation(p);
		}
		fComponentsAdjusted = true;
	}

    // Used for addNotify check.
	boolean fComponentsAdjusted = false;

    /**
     * Shows or hides the component depending on the boolean flag b.
     * @param b  if true, show the component; otherwise, hide the component.
     * @see java.awt.Component#isVisible
     */
    public void setVisible(boolean b) {
		if(b) {
			Rectangle bounds = getParent().getBounds();
			Rectangle abounds = getBounds();
	
			setLocation(bounds.x + (bounds.width - abounds.width)/ 2,
				 bounds.y + (bounds.height - abounds.height)/2);
		}
		super.setVisible(b);
	}

	//{{DECLARE_CONTROLS
	Label label2;
	Label label1;
	Button okButton;
	Button cancelButton;
	TextField urlTextField;
	//}}
	
	private PlayMovie myPlayMovie;

	public void actionPerformed(ActionEvent evt) {		
		myPlayMovie.createNewMovieFromURL (urlTextField.getText());
		dispose();
	}
}
