/*
 * QuickTime for Java SDK Sample Code

   Usage subject to restrictions in SDK License Agreement
 * Copyright:  1996-1999 Apple Computer, Inc.

 */
import java.awt.*;
import java.awt.event.*;

import quicktime.std.*;
import quicktime.qd.*;
import quicktime.*;
import quicktime.util.QTUtils;

import quicktime.std.StdQTConstants;
import quicktime.std.sg.*;

import quicktime.app.sg.SGDrawer;
import quicktime.util.*;
import quicktime.app.display.QTCanvas;
import quicktime.std.comp.*;
import quicktime.std.comp.Component;
import quicktime.app.image.*;

import MySGController.*;

public class SGCapture extends Frame implements WindowListener, StdQTConstants {	

	static final int kWidth = 320;
	static final int kHeight = 240;
	public QDGraphics mGraphics = null;
	public QTCanvas 		myQTCanvas;
	public SGControlPanel 	mControlPanel;
	
	public static void main (String args[]) {
	try {
			QTSession.open();		
			SGCapture pm = new SGCapture("QT in Java");
			pm.pack();
			pm.show();
			pm.toFront();
		} catch (Exception e) {
			e.printStackTrace();
			QTSession.close();
		}
	}

	SGCapture (String title) {
		super (title);
		try {		
			myQTCanvas = new QTCanvas(QTCanvas.kPerformanceResize, 0.5F, 0.5F);
			myQTCanvas.setMaximumSize (new Dimension (640, 480));
			myQTCanvas.setPreferredSize (new Dimension (kWidth, kHeight));
			myQTCanvas.setSize (new Dimension (kWidth, kHeight));
			
			add ("Center", myQTCanvas);	
			
	//Create a control panel with 3 buttons that perform PowerOn,Start and Stop recording
			mControlPanel = new SGControlPanel(myQTCanvas);
			add("South", mControlPanel);		
			addWindowListener(this);
		} catch (Exception ee) {
			ee.printStackTrace();
			QTSession.close();
		}
	}

	
	public void windowClosing (WindowEvent e) {
		QTSession.close();
		dispose();
	}


	public void windowIconified (WindowEvent e) {
		mControlPanel.doAction(seqGrabPause);
	}
	
	public void windowDeiconified (WindowEvent e) {
		mControlPanel.doAction(seqGrabUnpause);
	
	}
	
	public void windowClosed (WindowEvent e) { 
		System.exit(0);
	}
	
	public void windowOpened (WindowEvent e) { 

	}
	
	public void windowActivated (WindowEvent e) {}
	public void windowDeactivated (WindowEvent e) {}
}
