/*
 * QuickTime for Java SDK Sample Code

   Usage subject to restrictions in SDK License Agreement
 * Copyright:  1996-1999 Apple Computer, Inc.

 */
package mixer.mc;

import quicktime.*;
import quicktime.app.audio.*;
import quicktime.std.movies.media.*;

import javax.swing.*;
import java.awt.*;

/** This class is an implementation of the MixerComponents interface designed
 *  specially for SoundMedia.
 */
public class MixerSoundTrack implements MixerComponents {		
	private AudioSpec master;
	
	/** The constructor just needs to know which SoundMedia object it's dealing with. */
	public MixerSoundTrack (SoundMedia m) throws QTException {
		master = new AudioMediaControl(m);
	}

	/** Returns an AudioSpec object capable of controlling this object.
	 *  @return the AudioSpec control object
	 */
	public AudioSpec getMaster () {
		return master;
	}
	
	/** Sound tracks can't have channels, so this returns null. */
	public MixerComponents[] getChannels () {
		return null;
	}

	/** It is not possible to edit MixerSoundTracks, so this is null as well. */
	public JComponent makeEditComponent () throws QTException {
		return null;
	}

	/** false is returned because it is not possible to edit MixerSoundTracks. */
	public boolean isEditable() { return false; }
}