/*
 * QuickTime for Java SDK Sample Code

   Usage subject to restrictions in SDK License Agreement
 * Copyright:  1996-1999 Apple Computer, Inc.

 */
import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;
import java.io.*;

import quicktime.qd.*;
import quicktime.*;
import quicktime.std.StdQTConstants;
import quicktime.std.image.*;
import quicktime.std.movies.*;
import quicktime.io.*;
import quicktime.util.*;

import quicktime.app.display.*;
import quicktime.app.image.*;
import quicktime.app.time.*;

public class TimeSlaving extends Frame implements QDConstants, StdQTConstants, WindowListener, Errors {		
	public static TimeSlaving pm;
	
	public static void main (String args[]) {
		pm = new TimeSlaving("QT in Java");
		pm.show();
		pm.toFront();
	}

	TimeSlaving (String title) {
		super (title);
		try { 
			QTSession.open();

			textCanv = new QTCanvas(QTCanvas.kInitialSize, 0.5f, 0.5f);
			textCanv.setBackground(Color.black);
			add("East", textCanv);
			addNotify();
			Insets insets = insets();
			
			addWindowListener(this);
			setUpWindow();
			setBounds (0, 0, (insets.left + insets.right + 500), (insets.top + insets.bottom + 250));
		} catch (Exception e) {
			e.printStackTrace();
			QTSession.close();
		}
	}
	
	private void setUpWindow () throws QTException, IOException {		
		ScrollingText t = new ScrollingText();
		
		Dimension d = new Dimension (300, 150);
		TimeableID qid = new TimeableID (t, d);
		ti = new Timer (110, 1, qid);	//100 frames a second at rate == 1
		qid.setTimer(ti);
		
		cp = new ControlPanel(ti, this);
		add("North", cp);		
		cp.setDisplay();
		textCanv.setClient (qid, true);
	}
	
	QTCanvas textCanv;
	ControlPanel cp;
	Timer ti;
	
	public void windowOpened (WindowEvent ev) {
		try {
			ti.setActive (true);
			cp.setDisplay();
		} catch (QTException e) {
			e.printStackTrace();
		}
	}
	public void windowClosing (WindowEvent e) {
		QTSession.close();
		dispose();
	}

	public void windowIconified (WindowEvent e) {}
	public void windowDeiconified (WindowEvent e) {}		
	public void windowActivated (WindowEvent e) {}
	public void windowDeactivated (WindowEvent e) {}
	public void windowClosed (WindowEvent e) { 
		System.exit(0);
	}
}

